/*!
 * Copyright 2019 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la «Licencia»);
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
 * el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */

jQuery(document).ready(function(){
	//rastro de migas
	$("#ad74aTeleasistenciaWar_migas").rup_breadCrumb({
		breadCrumb: {
			"inicioOficio":{
				"i18nCaption" : "solicitudoficio",
				"0087003":{"i18nCaption":"solicitudbaja"},
				"0087005":{"i18nCaption":"solicitudrevision"},
				"0087004":{"i18nCaption":"solicitudmodificacion"},
				"0087006":{"i18nCaption":"solicitudintervencion"},
				"0087007":{"i18nCaption":"solicitudNotificacion"},
				"subLevel":[]
			},
			"bandejatelematica": {"i18nCaption": "bandejatelematica"},
			"bandejapapel0": {"i18nCaption": "bandejapapel0"},	
			"informes":{"i18nCaption": "informes"},
			"bandejaentradas": {"i18nCaption": "bandejaentradas"},			
			"cuadromando": {"i18nCaption": "cuadromando"},
			"avisos":{"i18nCaption": "avisos"},
			"solicitantes":{"i18nCaption": "beneficiarios"},
			"emergencias":{"i18nCaption": "emergencias"},
			"intervenciones":{"i18nCaption": "intervenciones"},
			"alarmas":{"i18nCaption": "alarmas"},
			"valoraciones":{"i18nCaption": "valoraciones"},
			"protocolos":{"i18nCaption": "protocolos"},
			"dispositivossol":{"i18nCaption": "dispositivos"},
			"ayuntamientos":{"i18nCaption":"ayuntamientos"},
			"pisostutelados":{"i18nCaption": "pisostutelados"},
			"maestrointervenciones":{"i18nCaption": "maestrointervenciones"},
			"maestrotipoalarma":{"i18nCaption": "maestrotipoalarma"},
			"maestrotiposaviso":{"i18nCaption": "maestrotiposaviso"},
			"tarifas":{"i18nCaption": "tarifas"},
			"maestroperfilescont":{"i18nCaption": "maestroperfilescont"},
			"usuarios":{"i18nCaption": "usuarios"},
			"televidaerrores":{"i18nCaption": "televidaerrores"},
			"jmserror":{"i18nCaption": "jmserror"},
			"pagos":{"i18nCaption":"pagos"},
			"copagoscargosmensuales":{"i18nCaption":"cargos"},
			"copagosseguimiento":{"i18nCaption":"seguimiento"},
			"copagosgestionimpagos":{"i18nCaption":"impagos"}
		}
	});
	
	if(PERFIL_SSB){	
		
		$("#current_ayuntamiento").html('');
		// Obtener el ayuntamiento conectado
		let ayuntamiento = {};
		try{			
			$.ajax({
				url: $.rup.CTX_PATH + 'seleccionAyuntamiento/getCurrentAyuntamiento',
				type:'GET',
				contentType: 'application/json',    		
				success: function(data){
					ayuntamiento = JSON.parse(data);
					$("#current_ayuntamiento").html(ayuntamiento.desc);
					obtenerSubmenu();
				}
			});
		}catch(err){}
		
		// Obtener ayuntamientos del usuario
		const obtenerSubmenu = () => {
			$.ajax({		
	    		url: $.rup.CTX_PATH + 'seleccionAyuntamiento/ayuntamientosUsuarioConectado',
	    		type:'GET',
	    		contentType: 'application/json',
	    		beforeSend: function() {
	        	   Ad74aUtils.bloquearInterfaz();
	    		},
	    		error: function(xhr){
	        	   $("#feedbackSeleccionAyuntamiento").rup_feedback('set',$.rup.i18n.app.feedback.seleccionAyuntamientoKO,"error");
	    		},
	    		complete: function(){
	        	  Ad74aUtils.desBloquearInterfaz();
	    		},
	    		success: function(data){
	    			const ayuntamientos = JSON.parse(data);
	    			if(ayuntamientos != null && ayuntamientos.length > 0){
	
	    				let itemsHtml = '';    				
	    				for(let i = 0; i < ayuntamientos.length; i++){
	    					if(ayuntamiento.idAyuntamiento31 != null && ayuntamiento.idAyuntamiento31 == ayuntamientos[i].idAyuntamiento31){
	    						itemsHtml += `
	        						<span class="dropdown-item" style="background: #1472a4; color: #fffcfb;">${ayuntamientos[i].desc}</span>
	        					`; 
	    					}else{
	    						itemsHtml += `
	        						<a class="dropdown-item" href="javascript:changeAyuntamiento('${ayuntamientos[i].idAyuntamiento31}')">${ayuntamientos[i].desc}</a>
	        					`; 	
	    					}    					
	    				}    				
	
	    				$("#seleccionAyuntamiento_items").html(itemsHtml);
	    				
	    				$("#seleccionAyuntamiento").removeClass("d-none");
	    			}else{
	    				$("#seleccionAyuntamiento_items").html('');
	    				$("#seleccionAyuntamiento").addClass("d-none");
	    			}
	    			
	    		}
			});
		}
		
	}
	//idioma
	$("#ad74aTeleasistenciaWar_language").rup_language({languages: $.rup.AVAILABLE_LANGS_ARRAY, modo: "default"});
	
	//NAVBAR Menu
	if($("#navbarResponsive").length > 0){
		$("#navbarResponsive").rup_navbar({
			sticky:false
		});
	}
	
	jQuery.extend(true, jQuery.rup.i18n.base.rup_combo, { blankNotDefined : "----" });
	
	//pie
	$(".footer [title]").rup_tooltip();
	
	//Evitar CABECERA y PIE en PORTAL
	if (jQuery.rup_utils.aplicatioInPortal()){
		jQuery("header").remove();
		jQuery("footer").remove();
	}
 
});


const changeAyuntamiento = (idAyuntamiento) => {
	
	$.ajax({
		url: $.rup.CTX_PATH + 'seleccionAyuntamiento/setAyuntamiento/'+idAyuntamiento,
		type:'POST',
		contentType: 'application/json',
		beforeSend: function() {
    	   Ad74aUtils.bloquearInterfaz();
		},
		error: function(xhr){
		},
		complete: function(){
		},
		success: function(data){
			// Enviamos mensaje a las pestañas avisando del cambio
			localStorage.setItem("changeAyuntamiento", idAyuntamiento);			
			window.location.href = JSON.parse(data);
			
		}
   });
	
}

window.addEventListener("storage", function onMessage(event) {
    if (event.key === "changeAyuntamiento" && event.newValue != event.oldValue) {
        setTimeout(() => {
        	Ad74aUtils.bloquearInterfaz();
        	if(isChild){
        		window.close();
        	}else{        		
        		window.location.reload();
        	}
		}, 3000);                
    }
});